Spotify en Gentoo [sin Wine]

Soptify WINHace un par de semanas se anuncio la primera version de Spotify para Linux, el detalle esta en que solo dieron un repositorio para Debian/Ubuntu y nada mas. No se porque se  les habra dado por sacar el programa para GNU/Linux sin dar codigo fuente (ok es privativo el dichoso Spotify pero porque encuadrar a ciertas distribuciones nada mas? ).

A mi eso de emular programas con Wine no me gusta a menos que el cliente/jefe no de otra opcion. Luego de darle vueltas al asundo de los debs y ver dependencias encontre manera de instlarlo asi:

[bash]
## Instalar dependencias de Qt
emerge -av qt-dbus qt-webkit qt-core qt-gui
## instalar alien (para extraer el contenido de los archivos deb)
emerge -av alien
## descargar de el <a href="http://repository.spotify.com/pool/non-free/s/spotify/">repositorio</a> el paquete segun la arquitectura
wget -c http://repository.spotify.com/pool/non-free/s/spotify/spotify-client-qt_0.4.6.75.ge950bf4-1_i386.deb
## sacar el contenido del paquete con alien
alien -g spotify-client-qt_0.4.6.75.ge950bf4-1_i386.deb
## copiar el contenido de la carpeta share a /usr/share
pwd -> /opt/spotify/spotify-client-qt-0.4.6.75.ge950bf4.orig/usr/share/
cp -Rv * /usr/share/
## corres spotify o le creas un launcher y listo
/opt/spotify/spotify-client-qt-0.4.6.75.ge950bf4.orig/usr/bin/spotify
[/bash]
Listo! ahora ya levanta el programa =D

Be the first to like.
Share and Enjoy:
  • Print
  • Digg
  • StumbleUpon
  • del.icio.us
  • Facebook
  • Yahoo! Buzz
  • Twitter
  • Google Bookmarks

5 thoughts on “Spotify en Gentoo [sin Wine]

  1. SiRGt says:

    mierda, da un error al entrar a la cuenta “Use of this device is not enabled for your account.”
    En cuanto sepa que le pasa/paso les cuento.

  2. tuxtor says:

    Ahora solo me falta recuperar mi cuenta :S

  3. j_aroche says:

    Lo del error que te da con la cuenta es que no sos usuario premiun 🙂

    As we haven’t found a reliable way to display ads yet, this version is only available to Spotify Premium subscribers.

    BTW, yo no los acusaría de no publicar para los N administradores de paquetes en gnu+linux, si no estás usando ubuntu/debian (la misma shit son), entonces estás dispuesto a sufrir un poquito más 😀

  4. SiRGt says:

    @j_aroche mierda es cierto jajaja ahora lo de los paquetes, no hace falta que los publiquen todos, con que pongan un tar.gz con el codigo fuente ya los que no usamos debian/ubuntu no es que estemos dispuestos a sufrir un poco mas si no que si sabemos que putas pasa y como xD (comment hecho con win7 y que xDD)

  5. j_aroche says:

    Oh ironía….

Leave a Reply

Your email address will not be published. Required fields are marked *